Subject: Re: [PATCH] usb: add Freescale QE/CPM USB peripheral controller driver

From: Arnd Bergmann <[email-masked]>
Date: Fri, 29 Aug 2008 19:38:25 +0200

On Friday 29 August 2008, Alan Stern wrote:
> I thought you _were_ arguing against that. =A0Unless I misunderstood,
> your original complaint was that since each peripheral controller
> driver defines usb_gadget_{un}register_driver, there can be only one
> controller driver loaded at a time.

That's probably where the misunderstanding came from: I did not expect
more than one driver to actually be useful on a given system, but that
should IMHO not prevent you from loading the drivers using modprobe, or
building them all into the kernel.

	Arnd <><